#include <iostream>
using namespace std;
int main(int argc, char** argv) {
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	int n;
	cin >>n;
	
	int m[n];
	m[0]=0;
	int pret;
	cin >>pret;
	for(int i=1;i<n;i++)
	{
		int x;
		cin >>x;
		if(x<pret)
		{
			m[i]=m[i-1]+1;
		}
		else
		{
			m[i]=m[i-1];
		}
		pret=x;
	}
	int t;
	cin >>t;
	for(int z=0;z<t;z++)
	{
		int a,b;
		cin >>a>>b;
		if(m[b-1]-m[a-1]<=1)
		{
			cout <<"DA\n";
		}
		else
		{
			cout <<"NE\n";
		}
	}
	return 0;
}